%define upstream_name Date_Holidays_Sweden
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.1.3
Release:     	%mkrel 1
Summary:    	Driver based class to calculate holidays in Sweden
License: 	PHP License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Date_Holidays_Sweden-%{version}.tgz
URL: 		http://pear.php.net/package/Date_Holidays_Sweden
BuildRequires:	php-pear >= 1.4.7
Requires: 	php-pear-Date_Holidays >= 0.21.1
Requires:	php-pear >= 1.4.0b1
BuildArch: 	noarch

%description
Date_Holidays helps you calculate the dates and titles of holidays and
other special celebrations. This is the driver for calculating holidays in
Sweden.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Date_Holidays_Sweden.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Date_Holidays_Sweden.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Date_Holidays_Sweden
fi

%files
%defattr(-,root,root)

%{peardir}/*
%{xmldir}/Date_Holidays_Sweden.xml


%changelog

* Mon Jan 23 2012 spuhler <spuhler> 0.1.3-1.mga2
+ Revision: 200067
- upgrade to 0.1.3
  pearized spec file

* Sat Feb 05 2011 spuhler <spuhler> 0.1.2-3.mga1
+ Revision: 47262
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Date_Holidays_Sweden

